function M = otf_deeley( freq, pupil_size )
% Optical tranfer function from:
%  Deeley, R.J., Drasdo, N., & Charman, W. N. (1991)
%   A simple parametric model of the human ocular modulation transfer function.
%   Ophthalmology and Physiological Optics, 11, 91-93
%
% M = otf_deeley( freq, pupil_size )
%   pupil_size in mm (valid in the range 1.5-8)
%   freq - spatial frequency in cyc/deg

M = exp( -( freq / (20.9 - 2.1*pupil_size)).^(1.3-0.07*pupil_size) );

end
