function pupil_mm = pupil_d( L_adapt )
% Return pupil diameter in mm for given luminance of adaptation.
% From:
%  P. Moon and D. Spencer, "On the Stiles-Crawford effect," J. Opt. Soc.
%  Am.  34, 319-329 (1944).
%
% pupil_mm = pupil_d( L_adapt )

pupil_mm = (4.9 - 3 * tanh( 0.4 * (log10( L_adapt*pi ) - 0.5) ));

% The formula below is from:
%  Wyszecki & Stiles
%  Color Science
%  p. 106, 2000
% where it is wrongly cited and does not seem to be the same as in the
% original paper.
%
% pupil_mm = (4.9 - 3 * tanh( 0.4 * (log10( L_adapt ) + 1) ));

end