% run all tests

%TESTSET='tmo_simple'
%TESTSET='whittle_cont_discr'
%TESTSET='modelfest'
TESTSET='tmo_complex'
%TESTSET='complexfest'
%TESTSET='contouring'

res_dir = sprintf( 'results/result_%s', TESTSET );
stim_dir = sprintf( 'threshold_stimuli/%s', TESTSET );

if( ~exist( res_dir, 'dir' ) )
    mkdir( res_dir );
end

fid = fopen( sprintf( 'threshold_stimuli/%s/stimuli.txt', TESTSET ) );
while( 1 )
    line = fgets( fid );
    if( line == -1 )
        break;
    end
    if( strncmp( '#vc:', line, 4 ) )
        options = line( 5:end );
        while( ~isempty( options ) )
            [token options] = strtok( options, ' ' );
            [op val] = strtok( token, '=' );
            val = val( 2:end ); %remove '='
            if( strcmp( op, 'pixels_per_degree' ) )
                pix_per_deg = str2double( val );
            elseif( strcmp( op, 'viewing_distance' ) )
                viewing_distance = str2double( val );
            else
                waring( 'Unknown option "%s"', op );
            end
        end
        continue;
    end
    if( line(1) == '#' )
        continue;
    end    
    
    [s1 rem] = strtok( line );
    [s2] = strtok( rem );
    for s=1:5
        target_base = sprintf( s1, s );
        target = [ stim_dir '/' target_base ];
        mask = [ stim_dir '/' s2 ];
        result = [ res_dir '/' target_base(9:end-4) ];
        display( sprintf( 'Processing %s...', target_base ) );
        cmp_files_visvdp( target, mask, result, { 'pix-per-deg', pix_per_deg, 'view-dist', viewing_distance } );
    end
end
fclose( fid );

visualize_all;
