function Te = te_daly( con, maskingSlope )
% Threshold elevation due to contrast masking
%
% T = te_daly( con, maskingSlope )
%   con - contrast given as Weber fraction?
%   maskingSlope - slope of the masking function, from 0.65 to 1  

  W = 6.0;
  Q = 0.7;
  b = 4.0;
  s = maskingSlope;  
  k1 = W^(1.0 - 1.0 / (1.0 - Q));
  k2 = W^(1.0 / (1.0 - Q));

  Te = (1.0 + (k1 .* (k2 * abs( con )).^s).^b).^(1.0/b);

%  T = con .* f./abs(con);

end
