% visualize

%TESTSET='tmo_simple'
%TESTSET='whittle_cont_discr'
%TESTSET='modelfest'
TESTSET='tmo_complex'
%TESTSET='complexfest'
%TESTSET='contouring'

res_dir = sprintf( 'results/result_%s', TESTSET );
stim_dir = sprintf( 'threshold_stimuli/%s', TESTSET );

fid = fopen( sprintf( 'threshold_stimuli/%s/stimuli.txt', TESTSET ) );
while( 1 )
    line = fgets( fid );
    if( line == -1 )
        break;
    end
    if( line(1) == '#' )
        continue;
    end    
    
    [s1 rem] = strtok( line );
    [s2] = strtok( rem );
    for s=1:5
        target_base = sprintf( s1, s );
        target_name = [ stim_dir '/' target_base ];
        mask = [ stim_dir '/' s2 ];
        result = [ res_dir '/' target_base(9:end-4) ];
        display( sprintf( 'Processing %s...', target_base ) );
        
        target = pfs_read_luminance( target_name );
        band = { 'hp', 'lp' };
        vis_loss = cell(1,2);
        vis_ampl = cell(1,2);
        vis_rev = cell(1,2);
        for k=1:2
            vis_loss{k} = pfs_read_luminance( [result '_loss_' band{k} '.exr'] );
            vis_ampl{k} = pfs_read_luminance( [result '_ampl_' band{k} '.exr'] );
            vis_rev{k} = pfs_read_luminance( [result '_rev_' band{k} '.exr'] );
        end        
        
        visualize_old4maps( result, target, vis_loss, vis_ampl )
    end
end
fclose( fid );


